GET /preprints/{preprint_id}/contributors/{user_id}/

osf.io

Summary: Retrieve a contributor
Operation ID: preprints_contributor_read
Auth: unknown
Description

Retrieves the details of a contributor on this Preprint. Contributors are categorized as either "bibliographic" or "non-bibliographic". From a permissions standpoint, both are the same, but bibliographic contributors are included in citations and are listed on the project overview page on the OSF, while non-bibliographic contributors are not. Note that if an anonymous view_only key is being used to view the list of contributors, the user relationship will not be exposed and the contributor ID will be an empty string. #### Returns Returns a JSON object with a `data` key containing the representation of the requested contributor, if the request is successful. If the request is unsuccessful, an `errors` key containing information about the failure will be returned. Refer to the [list of error codes](#tag/Errors-and-Error-Codes) to understand why this request may have failed.

Parameters (2)

preprint_id (string, path, required)

The unique identifier of the Preprint.

user_id (string, path, required)

The unique identifier of the user.

No probe data for this endpoint yet.